﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace InfragisticsCalendarTest
{
    using System.Collections.ObjectModel;
    using LineUpTool2.DomainModel.Entities;

    public class MySampleData
    {
        public MySampleData()
        {
            Init();
        }

        // these are the resources
        public ObservableCollection<T_LINEDOWNDEVICES> Devices { get; private set; }

        // these are the appointments
        public ObservableCollection<T_LINEDOWNEVENTS> Events { get; private set; }

        private void Init()
        {
            T_LINEDOWNDEVICES deviceA = new T_LINEDOWNDEVICES
            {
                ANZEIGEWERT = "Device A",
                KALENDERFARBE = "#0000FF",
                LDD_ID = 1,
                T_LINEDOWNEVENTS = new ObservableCollection<T_LINEDOWNEVENTS>()
            };

            T_LINEDOWNDEVICES deviceB = new T_LINEDOWNDEVICES
            {
                ANZEIGEWERT = "Device B",
                KALENDERFARBE = "#00FF00",
                LDD_ID = 2,
                T_LINEDOWNEVENTS = new ObservableCollection<T_LINEDOWNEVENTS>()
            };
            
            Devices = new ObservableCollection<T_LINEDOWNDEVICES>
            {
                deviceA, deviceB
            };

            Events = new ObservableCollection<T_LINEDOWNEVENTS>
            {
                new T_LINEDOWNEVENTS
                {
                    START_DATE = DateTime.Now.AddHours(1),
                    KOMMENTAR = "Big Problem A-1",
                    LDE_ID = 1,
                    LDD_LDD_ID = 1,
                    END_DATE = DateTime.Now.AddHours(2),
                    T_LINEDOWNDEVICES = deviceA
                },
                new T_LINEDOWNEVENTS
                {
                    START_DATE = DateTime.Now.AddHours(3),
                    KOMMENTAR = "Big Problem A-2",
                    LDE_ID = 2,
                    LDD_LDD_ID = 1,
                    END_DATE = DateTime.Now.AddHours(4),
                    T_LINEDOWNDEVICES = deviceA
                },
                new T_LINEDOWNEVENTS
                {
                    START_DATE = DateTime.Now.AddHours(1),
                    KOMMENTAR = "Small Problem B-1",
                    LDE_ID = 3,
                    LDD_LDD_ID = 2,
                    END_DATE = DateTime.Now.AddHours(1.5),
                    T_LINEDOWNDEVICES = deviceB
                },
                new T_LINEDOWNEVENTS
                {
                    START_DATE = DateTime.Now.AddHours(2),
                    KOMMENTAR = "Small Problem B-2",
                    LDE_ID = 4,
                    LDD_LDD_ID = 2,
                    END_DATE = DateTime.Now.AddHours(2.5),
                    T_LINEDOWNDEVICES = deviceB
                }
            };

            // merge events to devices
            foreach (T_LINEDOWNEVENTS ev in Events)
            {
                ev.T_LINEDOWNDEVICES.T_LINEDOWNEVENTS.Add(ev);
            }
        }
    }
}
